% Generated by roxygen2 (4.0.2): do not edit by hand
\name{dropDuplicatedMapLocs}
\alias{dropDuplicatedMapLocs}
\title{Drop markers on the same chromosome having the same genomic
coordinates}
\usage{
dropDuplicatedMapLocs(object)
}
\arguments{
\item{object}{a container for which the methods seqnames and start
are defined}
}
\value{
an object of the same class with duplicated genomic positions removed
}
\description{
If there are multiple markers on the same chromosome with the same
annotated position, only the first is kept.
}
\examples{
data(snp_exp)
g <- rowData(snp_exp)
## duplicate the first row
g[length(g)] <- g[1]
 rowData(snp_exp) <- g
 snp_exp2 <- dropDuplicatedMapLocs(snp_exp)
}

